#/bin/bash
PKG=package_test
PV=1
HOME=/home/trainee
DIR_SRC=labs/lab2/rootfs/
EXEC=version

cd ${HOME}/openembedded/recipes
mkdir -p ${PKG}/${PKG}-${PV}
cd ${HOME}/${DIR_SRC}
cp src ${PKG}
sudo tar -czf ${PKG}-${PV}.tar.gz ${PKG}
sudo mv ${PKG}-${PV}.tar.gz ${HOME}/openembedded/recipes/${PKG}/${PKG}-${PV}

cd ${HOME}/openembedded/recipes
echo "DESCRIPTION = \"Simple test of a package with Openembedded\"
LICENSE = \"GPLv2\"
SRC_URI = \"file://${PKG}-${PV}.tar.gz\"
S = \"${WORKDIR}/${PKG}-${PV}\"
inherit autotools
EXTRA_OEMAKE = \"CROSS_COMPILE=${TARGET_PREFIX}\"
do_install() {
	install -d ${D}${bindir}
	install -m 755 ${EXEC} ${D}${bindir}
}" > ${PKG}-${PV}/${PKG}_${PV}.bb

cd /${HOME}/oe-build
export PATH=$PATH:${HOME}/bitbake-1.10.2/bin
export BBPATH=${HOME}/openembedded:${HOME}/oe-build
bitbake ${PKG}
bitbake package-index
